当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 有没有pidgin-2.5.4的deb包?或者更新源
帖子发表于 : 2009-02-09 13:22 

注册: 2008-10-27 22:28
帖子: 369
送出感谢: 0 次
接收感谢: 0 次
我是8.04 LTS 现在还是2.5.2 现在根本没法用MSN,想升级下看看


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 有没有pidgin-2.5.4的deb包?或者更新源
帖子发表于 : 2009-02-09 13:25 
头像

注册: 2006-02-20 0:27
帖子: 391
送出感谢: 0 次
接收感谢: 0 次
可以自己来编译嘛!!

1.先下下来
http://www.pidgin.im/download/

2.解开./configure,肯定会有一堆库需要安装,如下
XScreenSaver extension development headers not found.
libxss-dev
Startup notification development headers not found.
libstartup-notification0-dev
GStreamer development headers not found.
libgstreamer0.10-dev
Meanwhile development headers not found.
libmeanwhile-dev
D-Bus development headers not found.
libdbus-1-dev libdbus-glib-1-dev
NetworkManager development headers not found.
network-manager-dev
Perl development headers not found.
libperl-dev
Tcl development headers not found.
tcl8.4-dev
Tk development headers not found.
tk8.4-dev
GtkSpell development headers not found.
libgtkspell-dev
avahi development headers not found.
libavahi-client-dev libavahi-glib-dev
Neither GnuTLS or NSS SSL development headers found.
libgnutls-dev

还不如一口气都装了,省得麻烦!

sudo apt-get install libxss-dev libstartup-notification0-dev libgstreamer0.10-dev libmeanwhile-dev libdbus-1-dev libdbus-glib-1-dev network-manager-dev libperl-dev tcl8.4-dev tk8.4-dev libgtkspell-dev libavahi-client-dev libavahi-glib-dev libgnutls-dev

3.剩下的就简单了
#./configure
#make
#sudo make install
#pidgin

4.如果有旧版本,会提示 pidgin: undefined symbol: purple_smileys_get_all
执行下面的,删除旧版本就可以了
#sudo apt-get remove pidgin libpurple0

5.如果运行时出现:
pidgin: error while loading shared libraries: libpurple.so.0: cannot open shared object file: No such file or directory

安装这个东西:libpurple-dev


_________________
Linux mylinux 2.6.37.3-mylinux #1 SMP Fri Feb 18 19:52:03 CST 2011 i686 GNU/Linux

==
境由心造,事在人为!
==
http://www.open2l.com
==


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 有没有pidgin-2.5.4的deb包?或者更新源
帖子发表于 : 2009-02-09 13:29 
头像

注册: 2008-10-11 6:10
帖子: 107
送出感谢: 0 次
接收感谢: 0 次
www.getdeb.net
上有deb包的 :em01


_________________
做个开心自由人!!!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 有没有pidgin-2.5.4的deb包?或者更新源
帖子发表于 : 2009-02-09 13:34 

注册: 2008-10-27 22:28
帖子: 369
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上两位兄弟!非常感谢!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 有没有pidgin-2.5.4的deb包?或者更新源
帖子发表于 : 2009-02-09 14:11 
头像

注册: 2008-11-06 3:12
帖子: 172
送出感谢: 0 次
接收感谢: 0 次
自己编译?!还是用下边的命令建立完整的编译环境吧。
sudo apt-get build-dep pidgin


_________________
软件应可免费取得,
软件工具在各种语言环境下皆可使用,
且不会有任何功能上的差异;
人们应有定制和修改软件的自由,
且方式不受限制,
只要他们自认为合适。


最后由 ambit 编辑于 2009-02-24 15:47,总共编辑了 2 次

页首
 用户资料  
 
6 楼 
 文章标题 : Re: 有没有pidgin-2.5.4的deb包?或者更新源
帖子发表于 : 2009-02-24 15:33 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
2.5.4的deb包只有8.10的才有吧 :em06


_________________
Ubuntu User


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译